### Method

# Gimp Image convert_color_profile

since: 2.10

#### Declaration [src]

    gboolean
    gimp_image_convert_color_profile (
      GimpImage* image,
      GimpColorProfile* profile,
      GimpColorRenderingIntent intent,
      gboolean bpc
    )

#### Description [src]

Convert the image’s layers to a color profile

This procedure converts from the image’s color profile (or the default profile if none is set) to the given color profile.

Only RGB and grayscale color profiles are accepted, according to the image’s type.

Available since: 2.10

#### Parameters

`profile`

  Type: `GimpColorProfile`

  The color profile to convert to.

  The data is owned by the caller of the method.

`intent`

  Type: `GimpColorRenderingIntent`

  Rendering intent.

`bpc`

  Type: `gboolean`

  Black point compensation.

#### Return value

Type: `gboolean`

`TRUE` on success.